﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

using System.Collections.ObjectModel;

namespace SelectionSettingsIssue_Ig10_2
{
    public partial class MainPage : UserControl
    {
        private ObservableCollection<Person> _people = null;
        public MainPage()
        {
            InitializeComponent();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            LoadData();
        }

        private void LoadData()
        {
            if (_people != null)
            {
                _people.Clear();
                _people = null;
            }
            
            _people = new ObservableCollection<Person>();
            for (int iRowCount = 0; iRowCount < 30000; iRowCount++)
            {
                Person newPerson = new Person();
                newPerson.Id = iRowCount + 1;
                newPerson.First = "Bruce" + Convert.ToString(iRowCount + 1);
                newPerson.Last = "Campbell" + Convert.ToString(iRowCount + 1);
                _people.Add(newPerson);
            }

            igGrid.ItemsSource = _people;
        }

        private void btnShowCounts_Click(object sender, RoutedEventArgs e)
        {
            MessageBox.Show(string.Format("Grid Row Count: {0} - Selected Row Count: {1}", igGrid.Rows.Count.ToString(), igGrid.SelectionSettings.SelectedRows.Count.ToString()));
        }
    }

    public class Person
    {
        public int Id { get; set; }
        public string First { get; set; }
        public string Last { get; set; }        

        public Person()
        {

        }
    }
}
